Bug 1260909 - [QE](6.2.z)REST Query API: regular expression parameters are unknown for the server
[QE](6.2.z)REST Query API: regular expression parameters are unknown for the ...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity high
: CR1
: 6.2.1
Assigned To: Shelly McGowan
Tomas Livora
:
Depends On:
Blocks: 1288023 1295534
  Show dependency treegraph
 
Reported: 2015-09-08 04:04 EDT by Tomas Livora
Modified: 2016-09-20 01:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When making a REST API call involving regular expressions with parameters enabling the use of regular expressions, a BAD_REQUEST status is returned. The parameters affected are those ending with "_re", such as deploymentId_re or initiator_re. The workaround is to use the parameter names without the "_re" suffix.
Story Points: ---
Clone Of:
: 1295534 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server side exception (7.07 KB, text/plain)
2015-09-08 04:04 EDT, Tomas Livora
no flags Details

  None (edit)
Description Tomas Livora 2015-09-08 04:04:54 EDT
Created attachment 1071226 [details]
Server side exception

Description of problem:
When you make a rest call with a query containing regular expression parameters, an answer with BAD_REQUEST status will be returned. The affected parameters are:

deploymentId_re
processId_re
processVersion_re
varId_re
varValue_re

Version-Release number of selected component (if applicable):
6.2.0 ER1

Steps to Reproduce:
1. Try for example http://localhost:8080/business-central/rest/query/runtime/process?deploymentId_re=*
2. See the response.

Actual results:
A message with BAD_REQUEST status. See the attachment for the exception on the server side.

Expected results:
Some process instances or empty list.

Additional info:
All these parameters work well without the '_re' suffix.
Comment 1 Tomas Livora 2015-09-15 06:03:53 EDT
This also applies to task parameters with regular expressions:

initiator_re
stakeholder_re
potentialowner_re
taskowner_re
businessadmin_re
Comment 2 Marco Rietveld 2015-12-14 15:37:42 EST
PR submitted: https://github.com/droolsjbpm/droolsjbpm-integration/pull/255
Comment 3 Marco Rietveld 2015-12-18 13:50:09 EST
Fixed. Commits: 

master: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/67279008
Comment 5 Marco Rietveld 2016-01-05 08:28:07 EST
PR Submitted: https://github.com/droolsjbpm/droolsjbpm-integration/pull/258
Comment 6 Marco Rietveld 2016-01-07 08:53:23 EST
Fixed on 6.3.x. Commits: 

6.3.x: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/5980d035
Comment 7 Radovan Synek 2016-01-20 10:16:06 EST
Verified with BPMS-6.2.1.CR1

Note You need to log in before you can comment on or make changes to this bug.